/*----------------------------------------------------------------------------
 *      RL-ARM - USB
 *----------------------------------------------------------------------------
 *      Name:    usbd_user_msc.c
 *      Purpose: Mass Storage Device Class User module
 *      Rev.:    V4.50
 *----------------------------------------------------------------------------
 *      This code is part of the RealView Run-Time Library.
 *      Copyright (c) 2004-2012 KEIL - An ARM Company. All rights reserved.
 *---------------------------------------------------------------------------*/

#include <RTL.h>
#include <rl_usb.h>
#include "diskio.h"
#include "player.h"

// FAT_VI *mc0;                            /* FAT Media Control Block            */
// Media_INFO info;                        /* Media information                  */ 

//BYTE USBbuf[2048];
extern volatile t_fifodata playerBuf[playerBuf_SIZE];

void usbd_msc_init () {
   
   USBD_MSC_BlockSize  = 512;
   USBD_MSC_BlockGroup = playerBuf_SIZE/512;
   disk_ioctl(0,GET_SECTOR_COUNT,&USBD_MSC_BlockCount);
   USBD_MSC_MemorySize = USBD_MSC_BlockCount * USBD_MSC_BlockSize;
   USBD_MSC_BlockBuf   = (U8 *)playerBuf;

//   USBD_MSC_BlockSize  = 512;
//   USBD_MSC_BlockGroup = mc0->CaSize + 2;/* Cache buffer from File_Config.c    */
//   USBD_MSC_BlockCount = info.block_cnt * (info.read_blen / 512);
//   USBD_MSC_MemorySize = USBD_MSC_BlockCount * info.read_blen;
//   USBD_MSC_BlockBuf   = (U8 *)mc0->CaBuf;

   //   USBD_MSC_MemorySize = 8196;
//   USBD_MSC_BlockSize  = 512;
//   USBD_MSC_BlockGroup = 1;
//   USBD_MSC_BlockCount = USBD_MSC_MemorySize / USBD_MSC_BlockSize;
//   USBD_MSC_BlockBuf   = 0;

   USBD_MSC_MediaReady = __TRUE;
}

void usbd_msc_read_sect (U32 block, U8 *buf, U32 num_of_blocks) {
  if (USBD_MSC_MediaReady) {
//    ioc_read_sect (block, buf, num_of_blocks, mc0);
     disk_read (0, buf, block, num_of_blocks);
  }
}

void usbd_msc_write_sect (U32 block, U8 *buf, U32 num_of_blocks) {
  if (USBD_MSC_MediaReady) {
//    ioc_write_sect (block, buf, num_of_blocks, mc0);
   disk_write (0, buf, block, num_of_blocks);
  }
}
