/**
* \file Wave.c
* \brief Plik z funkcjami obsBugi plikw Wave
* \author Marek Sawicki
* \date 18-07-2012
*/
//-------------------------------------------------------------------------------------------------
#include "Wave.h"
#include "ff.h"
#include "player.h"

t_waveHeader   waveHeader;
t_playerStruct playerStruct;
FIL            file;


static uint32_t cpyFileToFifo(FIL *ptrFile, t_fifobuf  *Fifo);
//========================================================
void wavePlay(uint8_t *pName){
   uint32_t tmp;
   FRESULT  res;

   res=f_open(&file,(const TCHAR *)pName,FA_READ);  //open a file for read
   if(res==FR_OK){
      f_read(&file,(void *)&waveHeader,44,&tmp);
      cpyFileToFifo(&file,&playerFifo);
            
      playerStruct.fSample=waveHeader.FreqSample;
      playerStruct.lChanel=waveHeader.NrOfChanel;
      playerStruct.lSample=waveHeader.Resolution;
      playerStart(&playerStruct);

      do{
         tmp=cpyFileToFifo(&file,&playerFifo);
      }while(tmp==0);
   }
   f_close(&file);
}
//========================================================
uint32_t cpyFileToFifo(FIL *ptrFile, t_fifobuf  *Fifo){
   uint32_t lByte,lFile,tmp;
   
   lByte=fifoGetFreeSpace(Fifo);
   if(lByte<512) 
      return(0);
   tmp=Fifo->pEnd-Fifo->pFirstIn+1;
   if(tmp<lByte) 
      lByte=tmp;
   f_read(ptrFile,(void *)Fifo->pFirstIn,lByte, &lFile);
   if(lFile==0) return(1);
   Fifo->pFirstIn+=lFile;
   if(Fifo->pFirstIn>Fifo->pEnd)
      Fifo->pFirstIn=Fifo->pBegin;
   Fifo->Count+=lFile;   
   return(0);
}
