/**
* \file board.h
* \brief Plik naglowkowy do "board.c".
* \author Marek Sawicki
* \date 30-06-2011
*/

#ifndef __BOARD_H__
#define __BOARD_H__

#include "stm32f10x.h"

#define maxVolume 60


//AMP cs
#define csAMP_GPIO_PORT           GPIOA
#define csAMP_GPIO_CLK            RCC_APB2Periph_GPIOA  
#define csAMP_GPIO_PIN            (1<<15)  // output

#define AmpOn()                   {csAMP_GPIO_PORT->BSRR=csAMP_GPIO_PIN; } // set
#define AmpOff()                  {csAMP_GPIO_PORT->BRR=csAMP_GPIO_PIN; }  // reset


//SD cs
#define csSD_GPIO_PORT            GPIOB
#define csSD_GPIO_CLK             RCC_APB2Periph_GPIOB  
#define csSD_GPIO_PIN             (1<<0)  // output

#define csSDSet()                 {csSD_GPIO_PORT->BSRR=csSD_GPIO_PIN; } // set
#define csSDReset()               {csSD_GPIO_PORT->BRR=csSD_GPIO_PIN; }  // reset

//USB con
#define conUSB_GPIO_PORT          GPIOA
#define conUSB_GPIO_CLK           RCC_APB2Periph_GPIOA  
#define conUSB_GPIO_PIN           (1<<10)  // output

#define conUSBOn()                {conUSB_GPIO_PORT->BSRR=conUSB_GPIO_PIN; } // set
#define conUSBOff()               {conUSB_GPIO_PORT->BRR=conUSB_GPIO_PIN; }  // reset
#define getUSBcon()               (conUSB_GPIO_PORT->IDR&conUSB_GPIO_PIN)

//Out
#define outMSB_GPIO_PORT          GPIOB
#define outMSB_GPIO_CLK           RCC_APB2Periph_GPIOB  
#define outMSB_GPIO_PIN           (1<<4)  // output

#define outLSB_GPIO_PORT          GPIOB
#define outLSB_GPIO_CLK           RCC_APB2Periph_GPIOB  
#define outLSB_GPIO_PIN           (1<<5)  // output




void boardInit (void);
#endif // __BOARD_H__
