/**
* \file fifobuf.c
* \brief Plik z funkcjami programowej pamieci FIFO.
* \author Tadeusz Sondej
* \date 12-09-2009
*/

#include <stdlib.h>
#include "fifobuf.h"
#include "sysfun.h"


t_result fifoInitialize( t_fifobuf *cbuf,
                         t_fifodata *begin,
                         t_fifodata *end, uint16_t size )
{
  if(cbuf==NULL)
    return ERR_FIFO_UNKNOWN_PARAM;
  if((begin==NULL)||(end==NULL))
    return ERR_FIFO_UNKNOWN_PARAM;

  cbuf->pBegin=begin;
  cbuf->pEnd=end;
  cbuf->pFirstIn=cbuf->pBegin;
  cbuf->pFirstOut=cbuf->pBegin;
  cbuf->State=0;
  cbuf->Count=0;
  cbuf->SizeBuf=size;

  return ERR_NO_ERROR;
}
/*----------------------------------------------------------------------*/

t_result fifoRestoreData( t_fifobuf *cbuf, t_fifodata *dana )
{
 
  irqAllDisable(); 
  if(cbuf->Count==0)
  {
    irqAllEnable();
    return ERR_FIFO_EMPTY;
  }
  *dana=*(cbuf->pFirstOut);

  if(cbuf->pFirstOut==cbuf->pEnd)
    cbuf->pFirstOut=cbuf->pBegin;
  else
    cbuf->pFirstOut++;
  cbuf->State=0;
  cbuf->Count--;
  irqAllEnable();
  return ERR_NO_ERROR;
}

