/**
* \file player.h
* \brief Plik naglowkowy do "player.c".
* \author Marek Sawicki
* \date 18-07-2012
*/

#ifndef __player_H__
#define __player_H__

#include "board.h"      
#include "fifobuf.h"   

#define timFreq         48000000
#define playerBuf_SIZE  5120

typedef struct{
   uint8_t  lChanel; //1-mono, 2-stere0
   uint8_t  lSample; //8, 16, 24
   uint32_t fSample; 
}t_playerStruct;

extern volatile t_fifobuf  playerFifo;
//-------------------------------------------------------------------------------------------------
void playerInit(void);
void playerStart(t_playerStruct *playerStruct);
void playerStop(void);
//-------------------------------------------------------------------------------------------------
#endif // __player_H__
