/**
* \file uart.h
* \brief Plik naglowkowy do "uart.c".
* \author Marek Sawicki
* \date 22-07-2011
*/

#ifndef __UART_H__
#define __UART_H__

#include "board.h"
#include "fifobuf.h"

#define UART1_GPIO                  GPIOA
#define UART1_CLK                   RCC_APB2Periph_USART1
#define UART1_GPIO_CLK              RCC_APB2Periph_GPIOA
#define UART1_RxPin                 GPIO_Pin_10
#define UART1_TxPin                 GPIO_Pin_9
#define UART1_RTSPin                GPIO_Pin_12
#define UART1_CTSPin                GPIO_Pin_11
#define UART1_DMA_CLK               RCC_AHBPeriph_DMA1
#define UART1_DMA_Rx                DMA1_Channel5
#define UART1_DMA_Tx                DMA1_Channel4
#define UART1_DMA_Rx_TCflag         DMA1_IT_TC5
#define UART1_DMA_Tx_TCflag         DMA1_IT_TC4


#define UART2_GPIO                  GPIOA
#define UART2_CLK                   RCC_APB1Periph_USART2
#define UART2_GPIO_CLK              RCC_APB2Periph_GPIOA
#define UART2_RxPin                 GPIO_Pin_3
#define UART2_TxPin                 GPIO_Pin_2
#define UART2_RTSPin                GPIO_Pin_1
#define UART2_CTSPin                GPIO_Pin_0
#define UART2_DMA_CLK               RCC_AHBPeriph_DMA1
#define UART2_DMA_Rx                DMA1_Channel6
#define UART2_DMA_Tx                DMA1_Channel7
#define UART2_DMA_Rx_TCflag         DMA1_IT_TC6
#define UART2_DMA_Tx_TCflag         DMA1_IT_TC7

#define UART2_SIZE_RXBUF_FIFO      64

extern volatile t_fifobuf  uart2RxFifo;

void uartsInit (void);

#endif // __UART_H__

